### Constructor

# ICalGLib TimeSpan new

since: 1.0

#### Declaration [src]

    ICalTimeSpan*
    i_cal_time_span_new (
      ICalTime* dtstart,
      ICalTime* dtend,
      gint is_busy
    )

#### Description [src]

Creates a new `ICalTimeSpan`.

Available since: 1.0

#### Parameters

`dtstart`

  Type: `ICalTime`

  The start of `ICalTimeSpan`.

  The data is owned by the caller of the function.

`dtend`

  Type: `ICalTime`

  The end of `ICalTimeSpan`.

  The data is owned by the caller of the function.

`is_busy`

  Type: `gint`

  Whether this span is busy.

#### Return value

Type: `ICalTimeSpan`

The newly created `ICalTimeSpan`.

The caller of the function takes ownership of the data, and is responsible for freeing it.